## wavpackenc wavpackenc — Encodes audio with the Wavpack lossless/lossy audio codec |

## Properties

guint | bitrate | Read / Write
gdouble | bits-per-sample | Read / Write
GstWavpackEncCorrectionMode | correction-mode | Read / Write
guint | extra-processing | Read / Write
GstWavpackEncJSMode | joint-stereo-mode | Read / Write
gboolean | md5 | Read / Write
GstWavpackEncMode | mode | Read / Write

## Types and Values

struct | GstWavpackEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstWavpackEnc

## Implemented Interfaces

GstWavpackEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | wavpack
author | Sebastian Dröge <slomo@circular-chaos.org>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S32LE, layout=(string)interleaved, channels=(int)[ 1, 8 ], rate=(int)[ 6000, 192000 ]

name | src
direction | source
presence | always
details | audio/x-wavpack, depth=(int)[ 1, 32 ], channels=(int)[ 1, 8 ], rate=(int)[ 6000, 192000 ], framed=(boolean)true

name | wvcsrc
direction | source
presence | sometimes
details | audio/x-wavpack-correction, framed=(boolean)true

## Functions

## Types and Values

### struct GstWavpackEnc

    struct GstWavpackEnc;

## Property Details

### The `“bitrate”` property

      “bitrate”                  guint

Try to encode with this average bitrate (bits/sec). This enables lossy encoding, values smaller than 24000 disable it again.

Flags: Read / Write

Allowed values: <= 9600000

Default value: 0

### The `“bits-per-sample”` property

      “bits-per-sample”          gdouble

Try to encode with this amount of bits per sample. This enables lossy encoding, values smaller than 2.0 disable it again.

Flags: Read / Write

Allowed values: [0,24]

Default value: 0

### The `“correction-mode”` property

      “correction-mode”          GstWavpackEncCorrectionMode

Use this mode for the correction stream. Only works in lossy mode!.

Flags: Read / Write

Default value: Create no correction file

### The `“extra-processing”` property

      “extra-processing”         guint

Use better but slower filters for better compression/quality.

Flags: Read / Write

Allowed values: <= 6

Default value: 0

### The `“joint-stereo-mode”` property

      “joint-stereo-mode”        GstWavpackEncJSMode

Use this joint-stereo mode.

Flags: Read / Write

Default value: auto

### The `“md5”` property

      “md5”                      gboolean

Store MD5 hash of raw samples within the file.

Flags: Read / Write

Default value: FALSE

### The `“mode”` property

      “mode”                     GstWavpackEncMode

Speed versus compression tradeoff.

Flags: Read / Write

Default value: Normal Compression